Bug 436042 - No GUI for Fedora 9a installation under VMWare Server 1.04
Summary: No GUI for Fedora 9a installation under VMWare Server 1.04
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmware   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-04 23:11 UTC by Austin
Modified: 2018-04-11 16:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 23:23:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of problem inside VM. (56.31 KB, image/png)
2008-03-04 23:11 UTC, Austin
no flags Details
The output of running startx (1.25 KB, text/plain)
2008-03-05 02:00 UTC, Austin
no flags Details

Description Austin 2008-03-04 23:11:13 UTC
Description of problem: No GUI for Fedora 9a installation under VMWare Server 1.04


Version-Release number of selected component (if applicable): What ever is in
Fedora 9 alpha's release


How reproducible: Everytime.


Steps to Reproduce:
1. Reboot VM with ISO mounted and presto.
2.
3.
  
Actual results: Text based installer.


Expected results: The typical GUI based installer.


Additional info: Screen shot of the installer running in text mode attached.
ISO with sha1sum : 2b4cbca2dcbef46d16cb015341455233d9a43a0e 
Fedora-9-Alpha-x86_64-DVD.iso

Comment 1 Austin 2008-03-04 23:11:13 UTC
Created attachment 296826 [details]
Screen shot of problem inside VM.

Comment 2 Jeremy Katz 2008-03-05 01:50:33 UTC
Does X work after the installation?

Comment 3 Austin 2008-03-05 02:00:31 UTC
Created attachment 296832 [details]
The output of running startx

When running startx, I redirected the output to a file (attached).

"Doesn't appear so" is the answer.

Comment 4 spinner 2008-03-05 12:43:20 UTC
The graphical installation of Fedora 9 alpha does not work for me either in a
Vmware Workstation 6.0  and after the text-based installation the Xserver aborts
with the same fatal error. When replacing the vmware driver in the xorg.conf
file with the vesa driver X starts without problems. It seems to me as if the
vmware driver is in some ways corrupted. 



Comment 5 spinner 2008-03-05 12:49:57 UTC
(In reply to comment #4)
Additional information:
ISO with sha1sum: 9a723b7c5dc8e06cf5fcda124f342fea6e930da4
Fedora-9-Alpha-i386-DVD.iso


Comment 6 Matěj Cepl 2008-03-05 21:03:00 UTC
Yes, vmware driver was unfortunately severly broken in Fedora 9 Alpha. Please
try to install Fedora 9 and upgrade with yum upgrade -- it should work much
better. Does it?

Comment 7 spinner 2008-03-06 12:12:55 UTC
(In reply to comment #6)
Thanks. After the update the vmware driver works correctly.



Comment 8 Matěj Cepl 2008-03-06 15:00:40 UTC
Sorry about that, but we cannot do anything with the LiveCD anymore.

Closing as RAWHIDE

Comment 9 Austin 2008-03-06 22:46:35 UTC
What was the comment about(In reply to comment #8)
> Sorry about that, but we cannot do anything with the LiveCD anymore.
> 
> Closing as RAWHIDE

What mention was there of the LiveCD? This is the Alpha ISO. Was this bug closed
by mistake? I'll re-open...

I am unable to perform a "yum update", nor "yum upgrade", as I get complaints
with dependency resolution such as:
Error: Missing Dependency: mono-core = 1.2.6-6.1.fc9 is needed by package mono-data
Error: Missing Dependency: sane-backends = 1.0.18-20.fc9 is needed by package
sane-backends-libs

I'm uncertain this should be closed.

Comment 10 Austin 2008-03-06 23:23:16 UTC
Performing a specific yum update xorg-x11-drv-vmware did appear to permit me to
run the GUI (runlevel 5).

I'll re-close this bug.


Note You need to log in before you can comment on or make changes to this bug.